FROM php:7.2-cli

RUN apt-get update && apt-get install -y libssl-dev zlib1g-dev libzip-dev git subversion mercurial && rm -rf /var/lib/apt/lists/*
RUN docker-php-ext-install zip && docker-php-ext-enable zip
RUN apt-get install pkg-config

RUN apt-get update \
  && apt-get install -y libmcrypt-dev \
  && apt-get install -y libicu-dev \
  && apt-get install -y libcurl3-dev \
  && apt-get install -y g++ \
  && apt-get install -y locales \
  && apt-get install -y tzdata \
  && apt-get install -y libpng-dev \
  && rm -rf /var/lib/apt/lists/*

RUN docker-php-ext-install \
    pdo \
    pdo_mysql \
    intl \
    gd  
RUN docker-php-ext-enable \
    pdo \
    pdo_mysql \
    intl \
    gd
RUN docker-php-ext-configure pdo_mysql --with-pdo-mysql=mysqlnd

RUN apt-get update && apt-get install -y libpcre3-dev && rm -rf /var/lib/apt/lists/*
RUN pecl install oauth
RUN docker-php-ext-enable oauth

WORKDIR /app